
CoCoALib - Feature #139

Usefulness of ring casting fns (remove AsPolyRing, etc.)

27 Apr 2012 11:30 - John Abbott

Status: Closed Start date: 27 Apr 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 2.50 hours

Target version: CoCoALib-0.99534 Seoul14 Spent time: 0.25 hour

Description

Caleo pointed out that it is unclear what AsFractionField does.

JAA has already noticed that it is a nuisance having to make explicit "downcasts".

JAA thinks that Torrente has also found the matter troublesome.

These explicit downcasts can be eliminated, or at least the necessity to use them could be eliminated.  The main cost would be some

extra downcasting at run-time (and possibly a less helpful error message if a wrong sort of ring is passed).

We need to discuss the relative merits of simplicity of use and run-time safety.

Estd time is for the discussion; if changes are to be made, the estd time will have to be increased to implement the changes.

Related issues:

Has duplicate CoCoALib - Design #415: Remove AsPolyRing etc? Closed 23 Nov 2013

History

#1 - 01 Apr 2014 17:42 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#2 - 04 Apr 2014 17:16 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#3 - 15 Apr 2014 15:07 - John Abbott

- Category set to Tidying

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

Closing because it is duplicated

#4 - 01 Aug 2014 18:53 - Anna Maria Bigatti

- Subject changed from Usefulness of ring casting fns to Usefulness of ring casting fns (remove AsPolyRing, etc.)
